ObjectChangeListener (Java Platform SE 8 )
Keywords: javax.naming.event.ObjectChangeListener interface
Date: 2015-05-24

compact3
javax.naming.event

## Interface ObjectChangeListener

- All Superinterfaces:
    EventListener, NamingListener

      public interface ObjectChangeListener
      extends NamingListener

  Specifies the method that a listener of a `NamingEvent` with event type of `OBJECT_CHANGED` must implement.

  An `OBJECT_CHANGED` event type is fired when (the contents of) an object has changed. This might mean that its attributes have been modified, added, or removed, and/or that the object itself has been replaced. How the object has changed can be determined by examining the `NamingEvent`'s old and new bindings.

  A listener interested in `OBJECT_CHANGED` event types must:

  1. Implement this interface and its method (`objectChanged()`)
  2. Implement `NamingListener.namingExceptionThrown()` so that it will be notified of exceptions thrown while attempting to collect information about the events.
  3. Register with the source using the source's `addNamingListener()` method.
  A listener that wants to be notified of namespace change events should also implement the `NamespaceChangeListener` interface.
  Since:
    1.3
  See Also:
    `NamingEvent`, `NamespaceChangeListener`, `EventContext`, `EventDirContext`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `objectChanged(NamingEvent evt)` Called when an object has been changed.

    - ### Methods inherited from interface javax.naming.event.NamingListener

      `namingExceptionThrown`

- - ### Method Detail

    - #### objectChanged

          void objectChanged(NamingEvent evt)

      Called when an object has been changed.

      The binding of the changed object can be obtained using `evt.getNewBinding()`. Its old binding (before the change) can be obtained using `evt.getOldBinding()`.

      Parameters:
        `evt` - The nonnull naming event.
      See Also:
        `NamingEvent.OBJECT_CHANGED`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.